yi-core-0.19.4: Yi editor core library

Safe Haskell | None
Language | Haskell2010

Yi.JumpList

# Documentation

type JumpList = Maybe (PointedList Jump) Source #

data Jump Source #

Constructors

Jump |

Fields

- jumpMark :: Mark
- jumpBufferRef :: BufferRef

#### Instances

Instances details

Binary Jump Source # |
Instance details Defined in Yi.JumpList Methods put :: Jump -> Put Source # get :: Get Jump Source # putList :: [Jump] -> Put Source #
Generic Jump Source # |

Instance details

Defined in Yi.JumpList

Associated Types

type Rep Jump |
Instance details Defined in Yi.JumpList type Rep Jump = D1 ('MetaData "Jump" "Yi.JumpList" "yi-core-0.19.4-4E7mid7TC5Y9v8ChZSA8gi" 'False) (C1 ('MetaCons "Jump" 'PrefixI 'True) (S1 ('MetaSel ('Just "jumpMark") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Mark) :*: S1 ('MetaSel ('Just "jumpBufferRef") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 BufferRef)))

Methods

from :: Jump -> Rep Jump x Source #

to :: Rep Jump x -> Jump Source #

Show Jump Source # |
Instance details Defined in Yi.JumpList Methods showsPrec :: Int -> Jump -> ShowS Source # show :: Jump -> String Source # showList :: [Jump] -> ShowS Source #
type Rep Jump Source # |
Instance details Defined in Yi.JumpList type Rep Jump = D1 ('MetaData "Jump" "Yi.JumpList" "yi-core-0.19.4-4E7mid7TC5Y9v8ChZSA8gi" 'False) (C1 ('MetaCons "Jump" 'PrefixI 'True) (S1 ('MetaSel ('Just "jumpMark") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 Mark) :*: S1 ('MetaSel ('Just "jumpBufferRef") 'NoSourceUnpackedness 'NoSourceStrictness 'DecidedLazy) (Rec0 BufferRef)))

addJump :: Jump -> JumpList -> JumpList Source #

jumpBack :: JumpList -> JumpList Source #

jumpForward :: JumpList -> JumpList Source #